/ comp / gb / file / name
File.Name (gb)
Syntax

    STATIC FUNCTION Name ( Path AS String ) AS String

Returns the name component of a file path.

This example will display information about a file path selected by the user. It uses the methods File.Name, File.BaseName, File.Ext and File.Dir.

### Examples

    PUBLIC SUB ButtonDisplayPath_Click()
      IF Dialog.OpenFile() THEN RETURN
      PRINT "Full file path: " & Dialog.Path
      PRINT "File name (with extension): " & File.Name(Dialog.Path)
      PRINT "File name (without extension): " & File.BaseName(Dialog.Path)
      PRINT "File extension: " & File.Ext(Dialog.Path)
      PRINT "Directory of the file: " & File.Dir(Dialog.Path)
    END